2019-08-22 02:38 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005195Spring engineGeneralpublic2016-04-27 20:47
ReporterFloris 
Assigned ToMadrMan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005195: Spring and Windows desktop scaling arent friends
DescriptionSince I got a 4K screen and want windows desktop scaled to 130-150%... Spring on the main monitor looks okay with having on borderless-fullscreen. But here are the bugs:

- The cursor input has a dynamic offset. When you start a selection, the box starts drawing somewhere way off top-left from the cursor...

- Spring stretched to my 2nd monitor at the right. Its like a still screenshot, until you defocus spring and the main spring screen gets streched to it and its alive again...

- Doing /fullscreen lowers the effective resolution too!

Here is a video of the phenomenon (have sound enabled so you can hear clicking):
https://youtu.be/NgmzbNr4LiY
Steps To ReproduceWindows 10.... (also tried a tool that enabled windows 8.1 type scaling method having the same outcome)
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016202

MadrMan (developer)

Fix b5187760dc0d124ff71d1669930d1e4a148a0a2b committed to develop branch: Mark spring as dpi-aware (which it isn't.) fixes 0001729 0005195, repo: spring changeset id: 6995

~0016205

Floris (reporter)

Just tried with latest build but issue persists: Here is a new recording of it: https://www.youtube.com/watch?v=v-TCjAntw-o

I tried it with build: 101.0.1-296-g5a08dc4 (2016-04-25 06:03)

~0016223

MadrMan (developer)

Fix wasn't getting picked up by the build process, should be fixed from 101.0.1-299-g11c1158
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-04-03 00:20 Floris New Issue
2016-04-23 09:54 MadrMan Changeset attached => spring develop b5187760
2016-04-23 09:54 MadrMan Note Added: 0016202
2016-04-23 09:54 MadrMan Assigned To => MadrMan
2016-04-23 09:54 MadrMan Status new => resolved
2016-04-23 09:54 MadrMan Resolution open => fixed
2016-04-25 13:17 Floris Note Added: 0016205
2016-04-25 13:17 Floris Status resolved => feedback
2016-04-25 13:17 Floris Resolution fixed => reopened
2016-04-27 20:46 MadrMan Note Added: 0016223
2016-04-27 20:47 MadrMan Status feedback => resolved
2016-04-27 20:47 MadrMan Resolution reopened => fixed
+Issue History